package com.inca.npbusi.saset.bms_sa_reconciliation;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.inca.np.gui.control.CDefaultProgress;
import com.inca.np.gui.control.DBColumnDisplayInfo;
import com.inca.np.gui.control.DBTableModel;
import com.inca.npbusi.saset.bms_sa_reconciliation.Bms_sa_reconciliation_ste;
import java.util.Vector;

class ServerThread extends Thread {
  CDefaultProgress progress = null;
  
  String xlsname = null;
  
  String xlspath = null;
  
  int count = 0;
  
  int succnum = 0;
  
  int failnum = 0;
  
  String errmess = null;
  
  public ServerThread(CDefaultProgress progress, String xlsname, String path) {
    this.progress = progress;
    this.xlsname = path;
    this.xlspath = xlsname;
  }
  
  public void run() {
    this.progress.appendMessage("开始读入EXCEL数据，请耐心等待......");
    try {
      DBTableModel dbmodel = Bms_sa_reconciliation_ste.access$2(Bms_sa_reconciliation_ste.this, this.xlspath);
      if (dbmodel == null) {
        this.progress.appendMessage("EXCEL数据读入失败，请检查EXCEL格式是否符合规范。");
        if (Bms_sa_reconciliation_ste.access$0(Bms_sa_reconciliation_ste.this) == 1)
          this.progress.appendMessage("EXCEL导入数据不能多于3000行，请分批导入"); 
      } else if (Bms_sa_reconciliation_ste.access$0(Bms_sa_reconciliation_ste.this) == 0) {
        this.progress.appendMessage("读入已完成。");
        this.progress.appendMessage("开始导入数据，请耐心等待......");
        sleep(3000L);
        int checkRowCount = 0;
        Vector<DBColumnDisplayInfo> tmpinfos = Bms_sa_reconciliation_ste.createTmpDBModel();
        DBTableModel tmpdbmodel = new DBTableModel(tmpinfos);
        for (int k = 0; k < dbmodel.getRowCount(); k++) {
          tmpdbmodel.appendRow();
          tmpdbmodel.setItemValue(checkRowCount, "HMOVEID", dbmodel.getItemValue(k, "HMOVEID"));
          tmpdbmodel.setItemValue(checkRowCount, "HGOODSCODE", dbmodel.getItemValue(k, "HGOODSCODE"));
          tmpdbmodel.setItemValue(checkRowCount, "HGOODSNAME", dbmodel.getItemValue(k, "HGOODSNAME"));
          tmpdbmodel.setItemValue(checkRowCount, "HGOODSTYPE", dbmodel.getItemValue(k, "HGOODSTYPE"));
          tmpdbmodel.setItemValue(checkRowCount, "HGOODSUSEUNIT", dbmodel.getItemValue(k, "HGOODSUSEUNIT"));
          tmpdbmodel.setItemValue(checkRowCount, "HGOODSQTY", dbmodel.getItemValue(k, "HGOODSQTY"));
          tmpdbmodel.setItemValue(checkRowCount, "HUNITPRICE", dbmodel.getItemValue(k, "HUNITPRICE"));
          tmpdbmodel.setItemValue(checkRowCount, "HAMOUNT", dbmodel.getItemValue(k, "HAMOUNT"));
          tmpdbmodel.setItemValue(checkRowCount, "HLOTNO", dbmodel.getItemValue(k, "HLOTNO"));
          tmpdbmodel.setItemValue(checkRowCount, "HPRODDATE", dbmodel.getItemValue(k, "HPRODDATE"));
          tmpdbmodel.setItemValue(checkRowCount, "HINVALIDDATE", dbmodel.getItemValue(k, "HINVALIDDATE"));
          tmpdbmodel.setItemValue(checkRowCount, "USEDATE", dbmodel.getItemValue(k, "USEDATE"));
          tmpdbmodel.setItemValue(checkRowCount, "HFACTORYNAME", dbmodel.getItemValue(k, "HFACTORYNAME"));
          tmpdbmodel.setItemValue(checkRowCount, "HREGISTDOCNO", dbmodel.getItemValue(k, "HREGISTDOCNO"));
          tmpdbmodel.setItemValue(checkRowCount, "rows", dbmodel.getItemValue(k, "rows"));
          checkRowCount++;
          if (checkRowCount % 10000 == 0) {
            tmpdbmodel.fireTableDataChanged();
            this.progress.appendMessage("开始处理一批数据......请稍后......");
            checkRowCount = 0;
            this.failnum += 
              Bms_sa_reconciliation_ste.access$3(Bms_sa_reconciliation_ste.this, tmpdbmodel);
            this.progress.appendMessage("已经处理： " + ((k + 1) / 42) + "条数据......");
            tmpdbmodel.clearAll();
          } 
        } 
        if (tmpdbmodel.getRowCount() > 0) {
          this.failnum += Bms_sa_reconciliation_ste.access$3(Bms_sa_reconciliation_ste.this, tmpdbmodel);
          tmpdbmodel.clearAll();
        } 
        sleep(3000L);
        this.count = dbmodel.getRowCount();
        this.succnum = this.count - this.failnum;
        sleep(3000L);
      } 
      dbmodel.clearAll();
    } catch (Exception e) {
      e.printStackTrace();
      this.progress.appendMessage("导入过程出现异常:" + e.getMessage());
      Bms_sa_reconciliation_ste.access$4(Bms_sa_reconciliation_ste.this, 9);
      this.errmess = e.getMessage();
      try {
        sleep(3000L);
      } catch (InterruptedException ee) {
        ee.printStackTrace();
      } 
    } finally {
      if (Bms_sa_reconciliation_ste.access$0(Bms_sa_reconciliation_ste.this) == 0) {
        this.progress.appendMessage("导入成功！共导入 " + (this.count / 42) + " 条数据，成功 " + (
            this.succnum / 42) + " 条，失败 " + this.failnum + " 条。成功率：" + (Float.valueOf(this.succnum).floatValue() / Float.valueOf(this.count).floatValue() * 100.0F) + "%");
      } else if (Bms_sa_reconciliation_ste.access$0(Bms_sa_reconciliation_ste.this) == 1) {
        this.progress.appendMessage("-ERROR:一次最多导入3000行，请分批导入！");
      } else if (Bms_sa_reconciliation_ste.access$0(Bms_sa_reconciliation_ste.this) == 2) {
        this.progress.appendMessage("-ERROR:EXCEL格式不符合规范！");
      } else if (Bms_sa_reconciliation_ste.access$0(Bms_sa_reconciliation_ste.this) == 9) {
        this.progress.appendMessage("-ERROR:导入过程出现异常:" + this.errmess);
      } 
      try {
        sleep(3000L);
      } catch (InterruptedException e) {
        e.printStackTrace();
      } 
      this.progress.close();
      if (Bms_sa_reconciliation_ste.access$0(Bms_sa_reconciliation_ste.this) == 0) {
        Bms_sa_reconciliation_ste.access$1(Bms_sa_reconciliation_ste.this, "提示", "导入成功！共导入 " + (this.count / 42) + " 条数据，成功 " + (
            this.succnum / 42) + " 条，失败 " + this.failnum + " 条。成功率：" + (Float.valueOf(this.succnum).floatValue() / Float.valueOf(this.count).floatValue() * 100.0F) + "%");
      } else if (Bms_sa_reconciliation_ste.access$0(Bms_sa_reconciliation_ste.this) == 1) {
        Bms_sa_reconciliation_ste.access$1(Bms_sa_reconciliation_ste.this, "警告", "一次最多导入3000行，请分批导入！");
      } else if (Bms_sa_reconciliation_ste.access$0(Bms_sa_reconciliation_ste.this) == 2) {
        Bms_sa_reconciliation_ste.access$1(Bms_sa_reconciliation_ste.this, "警告", "EXCEL格式不符合规范！");
      } else if (Bms_sa_reconciliation_ste.access$0(Bms_sa_reconciliation_ste.this) == 9) {
        Bms_sa_reconciliation_ste.access$1(Bms_sa_reconciliation_ste.this, "错误", "导入过程出现异常:" + this.errmess);
      } 
    } 
  }
}
